<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>
   <link rel="shortcut icon" href="favicon.ico" />
   <link rel="STYLESHEET" type="text/css" href="fothoFax.css">   
   <title>FothoFax</title>
   <script type="text/javascript" src="overlib.js"><!-- overLIB (c) Erik Bosrup --></script>
   <script type="text/javascript" src="fothoFax.js"></script>

   <META HTTP-EQUIV="CACHE-CONTROL" CONTENT="no-store, no-cache, must-revalidate">
   <META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
</head>
<body>

<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>

<h1>What is Fothofax?</h1>

<p>
This is Fothofax (version 0.41):

<p>
<center>
<?php
 require('fothoFaxCode.php');
 setUpFothoFaxData();
 drawCalendar();
?>
</center>

<!--
<div id="tomTest" border=1><a href="javascript:getTomTest(0);">Change Date span</a></div>
-->

<p>
This is it's feature list:

<ul>
<li>Fothofax displays a small footprint weekly calendar. It is an open-source project meaning you can copy and adapt it to fit your own needs.
<li>Fothofax displays birthday reminder symbols with popup information when you mouse-over the icons. It can also show the opposite of birthdays, i.e remembrance symbols for people who have passed away.
<li>Fothofax indicates whether an event has been planned on a day by making the day number bold or shading the background colour. Events can reoccur each year or every X days if needed. An example might be to show a weekly meeting or a wedding anniversay reminder.
<li>The data that Fothofax displays can be edited directly from a text box found in the options menu.
</ul>

<h4>Installation notes:</h4>

<p>
<ol>
<li>To install fothofax, you need write permissions to a directory accessible to a webserver that runs PHP (The software has been tested using PHP Version 4.4.0).
<li>Download <b>fothofax.zip</b> from <a href="http://code.google.com/p/fothofax/downloads/list">the google hosting site</a>. When you unzip it, a new directory called "FothoFax_0_41" will be created. Move the new directory to a location accessible to your webserver via a URL (rename it at the same time if you wish).
<li>Use a browser to look at the <i>index.php</i> file in the FothoFax_0_41 directory. Hopefully, you can see a copy of this page that has a working version of fothoFax using dummy data. There is a <a href="README">README</a> file that contains further information such as the release notes.
 <ul>
 <li>If you can't see any events or birthday reminders it is probally a permissions problem. Make sure the 3 files called AddressBook.txt, EventsBook.txt and NoteBook.txt has read and write permissions for your webserver.
 </ul>
<li><i>Optional</i>: embed fothofax into another part of your website (it's not much good in a page all on it's own). To do this you will need to call <i>setUpFothoFaxData</i> with a relative path to Fothofax (i.e. setUpFothoFaxData('FothoFax_0_41');).
</ol>

<p>
Once installed, you can replace the dummy data so fothofax has some meaningful data to display. Do this by hovering over the "<b>?</b>" and clicking <b>edit People</b> and <b>edit Events</b>. You need to keep the text structure exactly the same otherwise FothoFax will not be able to parse the data.

<p>
This is an example of the structure of the file used to store birthdays:

<pre>
 * Name: Edd
  * Birthday: 09/Jul/1983
 * Name: James
  * Birthday: 20/Jun/1992
 * Name: Test
  * Birthday: 25/Aug/1992
 * Name: Dad
  * Birthday: 17/Sep/1953
  * Deathday: 27/Jul/2001
 * Name: Mum
  * Birthday: 28/Apr/1954
</pre>

<p>
This is an example of the structure of the file used to store events:

<pre>
 * Date: 01/Dec
  * Event: Go for a walk on the riverbank.
 * Date: 03/Dec
  * Event: kill an hour with a wiskey sour.
 * Date: 08/Dec
  * Event: Feed the ducks with stale bread.
  * Event: Try to not think about polar bears
 * Date: 15/Dec/06
  * Event: Notice that this event has a year. i.e. it is not recuring!
  * Event: Have a staring contest with ourselfs in the mirror.
  * Event: Snap our fingers as if suddenly we have a bright idea and see if we get any.
 * Date: 25/Dec
  * Event[red]: Christmas day
 * Date: 23-26/May/08
  * Event[pink]: Kix in Barcelona
 * Date: 24/Jun-16/Jul/08
  * Event[green]: Europe Trip
 * Date: 03/Feb/1999
  * Anniversary[100]: Kix and my going out Anniversary
</pre>

<p>
That's it, hope you find Fothfax useful.
</body>
</html>
