/*
* FothoFax - A Simple FiloFax replacement
* Copyright (C) 2005 Tom Fotherby
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or (at
* your option) any later version.
*
* This program is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


// This function will give the value of a URL variable
function getURLParam(strParamName){
  var strReturn = "";
  var strHref = window.location.href;
  if ( strHref.indexOf("?") > -1 ){
    var strQueryString = strHref.substr(strHref.indexOf("?")).toLowerCase();
    var aQueryString = strQueryString.split("&");
    for ( var iParam = 0; iParam < aQueryString.length; iParam++ ){
      if (aQueryString[iParam].indexOf(strParamName + "=") > -1 ){
        var aParam = aQueryString[iParam].split("=");
        strReturn = aParam[1];
        break;
      }
    }
  }
  return strReturn;
}

// This function toggles the DIV tag with id of "dateRange" so it can hide the form when not needed.
function getNewDateRange(num,msgText) {
      num++;

      var backwards = getURLParam("back");
      if (backwards == "") backwards = -1;
      var forwards   = getURLParam("forw");
      if (forwards == "") forwards = 9;

      // Get the name of the current page.
      var sPath = window.location.pathname;
      var sPage = sPath.substring(sPath.lastIndexOf('/') + 1);

      if (num%2 == 0) {
        document.getElementById("dateRange").innerHTML = "<a class=\"title\" href=\"javascript:getNewDateRange("+num+",'"+msgText+"');\">"+msgText+"</a>";
      } else {
        document.getElementById("dateRange").innerHTML = "<i><form method=\"GET\" action=\""+sPage+"\" name=\"dateRangeForm\"><LABEL for=\"weeksBack\">Back: </LABEL><INPUT type=\"text\" name=\"back\" size=\"2\" maxlength=\"3\" value=\""+backwards+"\"><LABEL for=\"weeksForward\">Forw: </LABEL><INPUT type=\"text\" name=\"forw\" size=\"2\" maxlength=\"2\" value=\""+forwards+"\"></i> <a href=\"javascript:document.dateRangeForm.submit();\">ok</a>|<a href=\"javascript:getNewDateRange("+num+",'"+msgText+"');\">cancel</a></form>";
      }
}
